Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# enc/encdb.c File Reference

`#include "encdb.h"`
Include dependency graph for encdb.c:

Go to the source code of this file.

## Defines
#define | ENC_REPLICATE(name, orig) rb_encdb_replicate(name, orig)
#define | ENC_ALIAS(name, orig) rb_encdb_alias(name, orig)
#define | ENC_DUMMY(name) rb_encdb_dummy(name)
#define | ENC_DEFINE(name) rb_encdb_declare(name)
#define | ENC_SET_BASE(name, orig) rb_enc_set_base(name, orig)
## Functions
int | rb_encdb_replicate (const char *alias, const char *orig)
int | rb_encdb_alias (const char *alias, const char *orig)
int | rb_encdb_dummy (const char *name)
void | rb_encdb_declare (const char *name)
void | rb_enc_set_base (const char *name, const char *orig)
void | Init_encdb (void)

## Define Documentation

#define ENC_ALIAS | ( |  | name,
|  |  | orig
| ) |  | rb_encdb_alias(name, orig)

Definition at line 18 of file encdb.c.

#define ENC_DEFINE | ( |  | name | ) | rb_encdb_declare(name)

Definition at line 20 of file encdb.c.

#define ENC_DUMMY | ( |  | name | ) | rb_encdb_dummy(name)

Definition at line 19 of file encdb.c.

#define ENC_REPLICATE | ( |  | name,
|  |  | orig
| ) |  | rb_encdb_replicate(name, orig)

Definition at line 17 of file encdb.c.

#define ENC_SET_BASE | ( |  | name,
|  |  | orig
| ) |  | rb_enc_set_base(name, orig)

Definition at line 21 of file encdb.c.

## Function Documentation

void Init_encdb | ( | void |  | ) |

Definition at line 24 of file encdb.c.

void rb_enc_set_base | ( | const char * | name,
|  | const char * | orig
| ) |  |

Definition at line 297 of file encoding.c.

References rb_enc_from_index(), rb_enc_registered(), and set_base_encoding().

int rb_encdb_alias | ( | const char * | alias,
|  | const char * | orig
| ) |  |

Definition at line 460 of file encoding.c.

References enc_alias(), enc_register(), and rb_enc_registered().

void rb_encdb_declare | ( | const char * | name | ) |

Definition at line 265 of file encoding.c.

References enc_register(), rb_enc_from_index(), rb_enc_registered(), and set_encoding_const().

int rb_encdb_dummy | ( | const char * | name | ) |

Definition at line 372 of file encoding.c.

References rb_encoding_entry::enc, enc_replicate_with_index(), ENC_SET_DUMMY, enc_table, rb_ascii8bit_encoding(), and rb_enc_registered().

int rb_encdb_replicate | ( | const char * | alias,
|  | const char * | orig
| ) |  |

Definition at line 350 of file encoding.c.

References enc_register(), enc_replicate_with_index(), rb_enc_from_index(), and rb_enc_registered().